<?php
$this->headTitle('Edit news');

$form->get('title')->setAttributes([
    'class' => 'form-control',
    'placeholder' => 'Your title'
]);

$form->get('description')->setAttributes([
    'class' => 'form-control',
    'placeholder' => 'Description for news'
]);

$form->get('authors')->setAttributes([
    'class' => 'form-control',
    'placeholder' => 'Name, who write this news'
]);

$form->get('content')->setAttributes([
    'class' => 'form-control',
    'placeholder' => 'whole news',
]);


$form->get('submit')
    ->setAttributes(['class' => 'btn btn-primary'])
    ->setValue('Save');;

$form->prepare();
?>

<h1>Edit news "<?= $this->escapeHtml($news->getTitle())?>"</h1>

<div class="row">
    <div class="col-md-6">
        <?= $this->form()->openTag($form); ?>

        <div class="form-group">
            <?= $this->formLabel($form->get('title')); ?>
            <?= $this->formElement($form->get('title')); ?>
            <?= $this->formElementErrors($form->get('title')); ?>
        </div>

        <div class="form-group">
            <?= $this->formLabel($form->get('description')); ?>
            <?= $this->formElement($form->get('description')); ?>
            <?= $this->formElementErrors($form->get('description')); ?>
        </div>

        <div class="form-group">
            <?= $this->formLabel($form->get('authors')); ?>
            <?= $this->formElement($form->get('authors')); ?>
            <?= $this->formElementErrors($form->get('authors')); ?>
        </div>

        <div class="form-group">
            <?= $this->formLabel($form->get('content')); ?>
            <?= $this->formElement($form->get('content')); ?>
            <?= $this->formElementErrors($form->get('content')); ?>
        </div>

        <?= $this->formElement($form->get('submit')); ?>
        <a href="<?= $this->url('news',['action' => 'index']); ?>" class="btn btn-dark">Back </a>

        <?= $this->form()->closeTag(); ?>
    </div>
</div>